Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7915 - Samba domain and smbpasswd files stored in /etc
Summary: Samba domain and smbpasswd files stored in /etc
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: samba
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-20 22:15 UTC by Gregory Leblanc
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-20 22:15:24 UTC


Attachments (Terms of Use)

Description Gregory Leblanc 1999-12-20 22:15:24 UTC
I examined a friend's system today, to help him configure it.  He just
"installed" from scratch the samba package, it appears that you have
provided a default smb.conf file for redhat 6.1 that puts samba private
configuration files in /etc.  The suggested options, for example show
"smbpasswd file = /etc/smbpasswd".

This is REALLY bad.

1) You CANNOT put smbpasswd in /etc.

2) You CANNOT put private files DOMAIN.TRUST_ACCOUNT.mac in /etc.

I know that these require root access, however if your users start to
assume that just because these files are in /etc, they are equivalent to
/etc/passwd, they may decide to make these world-readable, and as a result
they will compromise the security of the box, and potentially the security
of remote nt-compatible boxes too (including other samba servers) because
these files contain CLEAR_TEXT EQUIVALENT PASSWORDS.

For example, private .mac files can contain information sufficient to
compromise a remote server by obtaining all remote clear-text equivalent
passwords: the .mac file is used to store the "Backup Domain Controller"
trust account password.

I know that there are people out there who are using samba configured in
the way your installation suggests, because I have received debug log
files from people on the samba lists showing that trust accounts are being
read from /etc/DOMAIN.SERVER_NAME.mac.

Thank you.

luke (samba team, iss x-force research).

Comment 1 Bill Nottingham 2000-07-15 18:30:38 UTC
As of samba-2.0.7-16, all the samba files will be stored in /etc/samba.


Note You need to log in before you can comment on or make changes to this bug.